import { ComponentType } from 'react';
export type LoadableComponentFunction<P = Record<string, any>> = () => Promise<ComponentType<P>>;
interface LoadableConfig {
    loader?: ComponentType<any>;
    /**
     * Component which renders with the lazy component
     */
    extra?: ComponentType<any>;
}
export declare function loadable<P = any>(loadFn: LoadableComponentFunction<P>, loaderOrConfig?: null | undefined | LoadableConfig['loader'] | LoadableConfig): ComponentType<P>;
export {};
//# sourceMappingURL=loadable.d.ts.map